<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'CaseStudyContentSection',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <div class="content-section">
    <SlpTypography variant="heading5-bold" tag="h3">{{
      data.title
    }}</SlpTypography>
    <SlpTypography variant="body1" class="slp-mt-24 description" tag="div">
      <span v-html="$md.render(data.description)"></span>
    </SlpTypography>
  </div>
</template>

<style scoped lang="scss">
.content-section {
  margin-top: $spacing-64;
  .description:deep(p) {
    margin-bottom: 16px;
  }
}
</style>
